Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OSCL config

## Defines
#define | OSCL_ASSERT_ALWAYS 0
#define | OSCL_INTEGERS_WORD_ALIGNED 1
#define | OSCL_BYTE_ORDER_BIG_ENDIAN 0
#define | OSCL_BYTE_ORDER_LITTLE_ENDIAN 1
#define | OSCL_HAS_PRAGMA_PACK 0
#define | OSCL_HAS_UNIX_SUPPORT 0
#define | OSCL_HAS_MSWIN_SUPPORT 0
#define | OSCL_HAS_MSWIN_PARTIAL_SUPPORT 0
#define | OSCL_HAS_SYMBIAN_SUPPORT 0
#define | OSCL_HAS_SAVAJE_SUPPORT 0
#define | OSCL_HAS_PV_C_OS_SUPPORT 0
#define | OSCL_HAS_ANDROID_SUPPORT 0
#define | OSCL_HAS_IPHONE_SUPPORT 0
#define | OSCL_HAS_SYMBIAN_ERRORTRAP 0
#define | OSCL_HAS_SYMBIAN_MEMORY_FUNCS 0
#define | OSCL_HAS_PV_C_OS_API_MEMORY_FUNCS 0
#define | OSCL_HAS_PV_C_OS_TIME_FUNCS 0
#define | OSCL_HAS_UNIX_TIME_FUNCS 0
#define | OSCL_HAS_SYMBIAN_TIMERS 0
#define | OSCL_HAS_SYMBIAN_MATH 0
#define | OSCL_HAS_SYMBIAN_SCHEDULER 0
#define | OSCL_HAS_SEM_TIMEDWAIT_SUPPORT 0
#define | OSCL_HAS_PTHREAD_SUPPORT 0
#define | OSCL_HAS_SYMBIAN_COMPATIBLE_IO_FUNCTION 0
#define | OSCL_HAS_SAVAJE_IO_SUPPORT 0
#define | OSCL_HAS_SYMBIAN_SOCKET_SERVER 0
#define | OSCL_HAS_SYMBIAN_DNS_SERVER 0
#define | OSCL_HAS_BERKELEY_SOCKETS 0
## Typedefs
typedef int8 | __int8__check__
typedef uint8 | __uint8__check__
typedef int16 | __int16__check__
typedef uint16 | __uint16__check__
typedef int32 | __int32__check__
typedef uint32 | __uint32__check__

## Define Documentation

#define OSCL_ASSERT_ALWAYS 0

| macro should be set to 0 or 1. When set to 1, OSCL_ASSERT will be compiled in release mode as well as debug mode.

#define OSCL_BYTE_ORDER_BIG_ENDIAN 0

| macro should be set to 1 if the target platform uses big-endian byte order in memory. Otherwise it should be set to 0.

#define OSCL_BYTE_ORDER_LITTLE_ENDIAN 1

| macro should be set to 1 if the target platform uses little-endian byte order in memory. Otherwise it should be set to 0.

#define OSCL_HAS_ANDROID_SUPPORT 0

#define OSCL_HAS_BERKELEY_SOCKETS 0

#define OSCL_HAS_IPHONE_SUPPORT 0

#define OSCL_HAS_MSWIN_PARTIAL_SUPPORT 0

#define OSCL_HAS_MSWIN_SUPPORT 0

#define OSCL_HAS_PRAGMA_PACK 0

| macro should be set to 1 if the compiler supports pragma pack, 0 if it does not.

#define OSCL_HAS_PTHREAD_SUPPORT 0

#define OSCL_HAS_PV_C_OS_API_MEMORY_FUNCS 0

#define OSCL_HAS_PV_C_OS_SUPPORT 0

#define OSCL_HAS_PV_C_OS_TIME_FUNCS 0

#define OSCL_HAS_SAVAJE_IO_SUPPORT 0

#define OSCL_HAS_SAVAJE_SUPPORT 0

#define OSCL_HAS_SEM_TIMEDWAIT_SUPPORT 0

#define OSCL_HAS_SYMBIAN_COMPATIBLE_IO_FUNCTION 0

#define OSCL_HAS_SYMBIAN_DNS_SERVER 0

#define OSCL_HAS_SYMBIAN_ERRORTRAP 0

#define OSCL_HAS_SYMBIAN_MATH 0

#define OSCL_HAS_SYMBIAN_MEMORY_FUNCS 0

#define OSCL_HAS_SYMBIAN_SCHEDULER 0

#define OSCL_HAS_SYMBIAN_SOCKET_SERVER 0

#define OSCL_HAS_SYMBIAN_SUPPORT 0

#define OSCL_HAS_SYMBIAN_TIMERS 0

#define OSCL_HAS_UNIX_SUPPORT 0

#define OSCL_HAS_UNIX_TIME_FUNCS 0

#define OSCL_INTEGERS_WORD_ALIGNED 1

| macro should be set to 1 if the target platform requires integers to be word-aligned in memory. Otherwise it should be set to 0.

## Typedef Documentation

typedef int16 __int16__check__

typedef int32 __int32__check__

typedef int8 __int8__check__

typedef uint16 __uint16__check__

typedef uint32 __uint32__check__

typedef uint8 __uint8__check__